import QtQuick 2.0
import Sailfish.Silica 1.0
import "apiconstants.js" as APIConstants

Page {
	id: page

	allowedOrientations: Orientation.All

	PageBusyIndicator {
		running: !listView.model.count
	}

	SilicaListView {
		id: listView
		model: {
			var model = Qt.createQmlObject('import QtQuick 2.4; ListModel {}', parent),
			    xhr = new XMLHttpRequest;

			function reperror() {
				model.append({ name: 'An error has occured.' });
			}

			xhr.onreadystatechange = function () {
				var i;
				if (xhr.readyState === XMLHttpRequest.DONE) {
					try {
						model.clear();
						for (i = 0; i < xhr.response.length; ++i)
							model.append(xhr.response[i]);
					} catch (e) {
						reperror();
					}
				}
			}
			xhr.onerror = reperror;
			xhr.open('GET', APIConstants.BASE + '/Orthodontists', true);
			xhr.setRequestHeader('IORTHO-KEY', APIConstants.APIKEY);
			xhr.responseType = 'json';
			xhr.send();

			return model;
		}

		anchors.fill: parent
		header: PageHeader {
			title: qsTr('Choose Clinic')
		}
		delegate: BackgroundItem {
			id: delegate

			Label {
				x: Theme.horizontalPageMargin
				text: name
				anchors.verticalCenter: parent.verticalCenter
				color: delegate.highlighted ? Theme.highlightColor : Theme.primaryColor
			}

			onClicked: {
				if (ortho_code) {
					settings.setValue('clinic', ortho_code);
					pageStack.push(Qt.resolvedUrl('LoginForm.qml'));
				}
			}
		}
		VerticalScrollDecorator {}
	}
}
