#include "addcalendar.h"
#include <QDBusInterface>
#include <QDir>
#include <QTemporaryFile>

void AddCalendar::addEvent(const QString &description, const QString &startDate, const QString &endDate) {
	QTemporaryFile ics(QDir::tempPath() + "/ortho-event-XXXXXX.ics");
	QDBusInterface jollaCal("com.jolla.calendar.ui", "/com/jolla/calendar/ui", "com.jolla.calendar.ui");

	if (ics.open()) {
		ics.write("BEGIN:VCALENDAR\nPRODID:Sailfish Ortho App\nVERSION:2.0\nBEGIN:VEVENT\nSUMMARY:");
		ics.write(description.toLocal8Bit());
		ics.write("\nDTSTART:");
		ics.write(startDate.toLocal8Bit());
		ics.write("\nDTEND:");
		ics.write(endDate.toLocal8Bit());
		ics.write("\nEND:VEVENT\nEND:VCALENDAR\n");
		ics.close();

		// if we don't set autoremove to false, the event displays fine, but silently fails when adding
		// we need to delay removal, but not keep it around forever...
		// solution: ortho.cpp:25 ;_;
		ics.setAutoRemove(false);
		jollaCal.call("importFile", ics.fileName());
		ics.deleteLater();
	}
}
